Bug 1889600 - once opened, the menu doesnt close upon clicking the menu icon again. Wayland
Summary: once opened, the menu doesnt close upon clicking the menu icon again. Wayland
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 32
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 06:59 UTC by fedorabugs
Modified: 2020-11-19 08:28 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description fedorabugs 2020-10-20 06:59:53 UTC
Description of problem: On Wayland, once you open the drop down menu of the browser on the top right (3-bar icon) it doesn't close when you click the icon again. You have to click somehwere else on the screen for it to be closed. GNOME desktop, don't remember if it happened in others


Version-Release number of selected component (if applicable): 81.0.2 (firefox-81.0.2-1.fc32.src.rpm)


How reproducible: Always: the issue is observed each time


Steps to Reproduce:
1. Open the drop down menu by clicking the 3-bar icon on the top right.
2. Try to close it by clicking the icon again


Actual results: The menu doesn't close, and it blinks as if being opened again.


Expected results: The menu closes


Additional info: Not a new bug, it's been present for many firefox releases. Bug seems to not be present in Xorg

Comment 1 Martin Stransky 2020-10-26 21:15:12 UTC
Jan is looking at it. I hope we'll have a fix soon.


Note You need to log in before you can comment on or make changes to this bug.